package com.daniminguet.videogameadvisor.model;

import java.util.List;

public class Videogame {
	private long id;
	private String nombre;
	private String desarrollador;
	private List<String> generos;
	private String fechaSalida;
	private String plataformas;
	
	public Videogame() {}

	public Videogame(long id, String nombre, String desarrollador, List<String> generos, String fechaSalida,
			String plataformas) {
		this.id = id;
		this.nombre = nombre;
		this.desarrollador = desarrollador;
		this.generos = generos;
		this.fechaSalida = fechaSalida;
		this.plataformas = plataformas;
	}

	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public String getNombre() {
		return nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public String getDesarrollador() {
		return desarrollador;
	}

	public void setDesarrollador(String desarrollador) {
		this.desarrollador = desarrollador;
	}

	public List<String> getGeneros() {
		return generos;
	}

	public void setGeneros(List<String> generos) {
		this.generos = generos;
	}

	public String getFechaSalida() {
		return fechaSalida;
	}

	public void setFechaSalida(String fechaSalida) {
		this.fechaSalida = fechaSalida;
	}

	public String getPlataformas() {
		return plataformas;
	}

	public void setPlataformas(String plataformas) {
		this.plataformas = plataformas;
	}

	@Override
	public String toString() {
		return "Videogame [id=" + id + ", nombre=" + nombre + ", desarrollador=" + desarrollador + ", generos="
				+ generos.toString() + ", fechaSalida=" + fechaSalida + ", plataformas=" + plataformas + "]";
	}

	
}
