# TRABAJO SPRING CORE - DANI MINGUET

He realizado el trabajo sobre videojuegos, aquí muestro el diagrama de clases empleado (Atributos sin "Bold", métodos en "Bold"):

![Image](DiagramaVideoGameAdvisor.PNG)

Aquí muestro el fichero csv que utilizo:

```
ID,NOMBRE,DESARROLLADOR,GENERO,FECHA SALIDA,PLATAFORMAS DISPONIBLES
1,God of War: Ragnarok,Santa Monica Studio,Accion-Aventura-Lucha-Rol,09/11/2022,PS5 y PS4
2,FIFA 23,Electronic Arts,Deportes-Simulacion,27/09/2022,PS5-Nintendo Switch-XBOX y PC
3,Minecraft,Mojang Studios,Supervivencia-Sandbox,17/05/2009,PS-XBOX-Nintendo, Moviles y PC
4,Grand Theft Auto V,Rockstar Games,Mundo abierto,17/09/2013,PS-XBOX y PC
5,CounterStrike: Global Offensive,Valve Corporation,De disparos tactico,21/08/2012,XBOX y PC
6,Elden Ring,FromSoftware,Aventura-Mundo abierto,25/02/2022,PS-XBOX y PC
7,Uncharted 4,Naughty Dog,Accion-Aventura,10/05/2016,PS y PC
8,Ghost of Tsushima,Sucker Punch Productions,Rol-Sigilo-Accion-Aventura-Lucha,17/07/2020,PS5 y PS4
9,The Witcher 3,CD Projekt,Mundo abierto,19/05/2015,PS-NINTENDO-XBOX y PC
10,Assassins Creed: Origins,Ubisoft,Mundo abierto-Accion-Aventura-Sigilo,27/10/2017,PS-XBOX y PC
```

Al iniciar el programa, si no hay parámetros definidos te debería mostrar una alerta de que no se han indicado, y mostrará el contenido del fichero de ayuda, para saber que parámetros puedes utilizar:

```
No se ha pasado ningún parámetro
Sintaxis: java -jar videogameadvisor.jar [OPCIONES]

	-lg
	Lista los diferentes géneros de videojuegos de la colección.
	No se pueden utilizar más parámetros.
	
	-ag genero1,genero2,genero...
	Lista aquellos videojuegos que pertenecen a al menos uno de los géneros 
	que se indican.	El listado de géneros no puede incluir espacios.
	
	-tg genero1,genero2,genero...
	Lista aquellos videojuegos que pertenecen a todos y cada uno de los 
	géneros que se 	indican. El listado de géneros no puede incluir espacios. 
	
	-y año
	Lista aquellos videojuegos que se estrenaron en el año indicado.
	El año debe expresarse con 4 cifras.
	
	-b desde,hasta
	Lista aquellos videojuegos que se estrenaron entre los años DESDE y HASTA.
	Los años indicados están incluidos. Deben expresarse con 4 cifras.
	
	-t titulo
	Lista aquellos videojuegos cuyo título contiene la cadena proporcionada.
	Se ignorará el uso de mayúsculas/minúsculas en la comparación.
	
	-h
	Muestra este mensaje de ayuda.
	
EJEMPLOS DE USO

java -jar videogameadvisor.jar -y 2018 -ag Accion,Rol
Muestra los videojuegos que han salido en el año 2018 y son de acción y/o de comedia.

java -jar videogameadvisor.jar -t war
Muestra los videojuegos cuyo título contiene la palabra war.

java -jar videogameadvisor.jar -td Accion,Aventura -b 2000,2010 -t auto
Muestra los videojuegos cuyo título contiene la palabra auto, pertenecen al 
género de acción y aventura y fueron estrenados entre 2000 y 2010.   

java -jar videogameadvisor.jar -lg
Muestra un listado con todos los géneros.


LICENCIAS

Los datos utilizados sobre videojuegos utilizados en este ejemplo son
reales y creados por mi mismo. Ten en cuenta
que solo puede ser usada con fines personales y no comerciales.
```

