package com.daniminguet.videogameadvisor.service;

import java.util.Collection;

import com.daniminguet.videogameadvisor.model.Videogame;

public interface VideogameQueryService {
	public Collection<Videogame> exec();
	public VideogameQueryService anyGenre(String... genres);
	public VideogameQueryService allGenres(String... genres);
	public VideogameQueryService year(String year);
	public VideogameQueryService betweenYears(String from, String to);
	public VideogameQueryService titleContains(String title);
}
